From cc3767f0ed74a4e1d4c06a408c8f5ce3eca59b5c Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 06 2020 18:42:02 +0000
Subject: [PATCH 100/2232] Format with rustfmt 2019-10-07


---

diff --git a/gen/write.rs b/gen/write.rs
index 33898ce..68f0315 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -217,7 +217,11 @@ fn write_cxx_function_shim(out: &mut OutFile, efn: &ExternFn, types: &Types) {
             write_type(out, &arg.ty);
             write!(out, "({})", arg.ident);
         } else if arg.ty == RustString {
-            write!(out, "::rust::String(::rust::unsafe_bitcopy, *{})", arg.ident);
+            write!(
+                out,
+                "::rust::String(::rust::unsafe_bitcopy, *{})",
+                arg.ident,
+            );
         } else if types.needs_indirect_abi(&arg.ty) {
             write!(out, "::std::move(*{})", arg.ident);
         } else {
diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 9ebb623..dd5ab6e 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -252,7 +252,9 @@ fn expand_rust_function_shim(namespace: &Namespace, efn: &ExternFn, types: &Type
     let vars = efn.args.iter().map(|arg| {
         let ident = &arg.ident;
         match &arg.ty {
-            Type::Ident(i) if i == RustString => quote!(::std::mem::take((*#ident).as_mut_string())),
+            Type::Ident(i) if i == RustString => {
+                quote!(::std::mem::take((*#ident).as_mut_string()))
+            }
             Type::RustBox(_) => quote!(::std::boxed::Box::from_raw(#ident)),
             Type::UniquePtr(_) => quote!(::cxx::UniquePtr::from_raw(#ident)),
             Type::Ref(ty) => match &ty.inner {

